]> git.sur5r.net Git - bacula/bacula/blobdiff - bacula/configure
Tweak rebuild configure
[bacula/bacula] / bacula / configure
index fe6375f9ad3d793ea53e8a86df8614ce24bd11a3..32a752d6330251e71b6c0c5e6d5e3afa8c8d12a3 100755 (executable)
@@ -811,6 +811,21 @@ DATE
 LSMDATE
 BACULA
 post_host
+LIBBAC_LT_CURRENT
+LIBBAC_LT_REVISION
+LIBBAC_LT_AGE
+LIBBACCFG_LT_CURRENT
+LIBBACCFG_LT_REVISION
+LIBBACCFG_LT_AGE
+LIBBACPY_LT_CURRENT
+LIBBACPY_LT_REVISION
+LIBBACPY_LT_AGE
+LIBBACSQL_LT_CURRENT
+LIBBACSQL_LT_REVISION
+LIBBACSQL_LT_AGE
+LIBBACFIND_LT_CURRENT
+LIBBACFIND_LT_REVISION
+LIBBACFIND_LT_AGE
 CC
 CFLAGS
 LDFLAGS
@@ -845,7 +860,6 @@ DVDRWMEDIAINFO
 DVDRWFORMAT
 PKGCONFIG
 QMAKE
-QMAKEQT4
 GMAKE
 WXCONFIG
 WXFLAGS
@@ -2341,9 +2355,30 @@ BACULA=${BACULA:-Bacula}
 VERSION=`sed -n -e 's/^.*VERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
 DATE=`sed -n -e 's/^.* \t*BDATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
 LSMDATE=`sed -n -e 's/^.*LSMDATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
+
+LIBBAC_LT_CURRENT=`sed -n -e 's/^.*LIBBAC_LT_CURRENT *\(.*\)$/\1/p' ${srcdir}/src/version.h`
+LIBBAC_LT_REVISION=`sed -n -e 's/^.*LIBBAC_LT_REVISION *\(.*\)$/\1/p' ${srcdir}/src/version.h`
+LIBBAC_LT_AGE=`sed -n -e 's/^.*LIBBAC_LT_AGE *\(.*\)$/\1/p' ${srcdir}/src/version.h`
+LIBBACCFG_LT_CURRENT=`sed -n -e 's/^.*LIBBACCFG_LT_CURRENT *\(.*\)$/\1/p' ${srcdir}/src/version.h`
+LIBBACCFG_LT_REVISION=`sed -n -e 's/^.*LIBBACCFG_LT_REVISION *\(.*\)$/\1/p' ${srcdir}/src/version.h`
+LIBBACCFG_LT_AGE=`sed -n -e 's/^.*LIBBACCFG_LT_AGE *\(.*\)$/\1/p' ${srcdir}/src/version.h`
+LIBBACPY_LT_CURRENT=`sed -n -e 's/^.*LIBBACPY_LT_CURRENT *\(.*\)$/\1/p' ${srcdir}/src/version.h`
+LIBBACPY_LT_REVISION=`sed -n -e 's/^.*LIBBACPY_LT_REVISION *\(.*\)$/\1/p' ${srcdir}/src/version.h`
+LIBBACPY_LT_AGE=`sed -n -e 's/^.*LIBBACPY_LT_AGE *\(.*\)$/\1/p' ${srcdir}/src/version.h`
+
+
+LIBBACSQL_LT_CURRENT=`sed -n -e 's/^.*LIBBACSQL_LT_CURRENT *\(.*\)$/\1/p' ${srcdir}/src/version.h`
+LIBBACSQL_LT_REVISION=`sed -n -e 's/^.*LIBBACSQL_LT_REVISION *\(.*\)$/\1/p' ${srcdir}/src/version.h`
+LIBBACSQL_LT_AGE=`sed -n -e 's/^.*LIBBACSQL_LT_AGE *\(.*\)$/\1/p' ${srcdir}/src/version.h`
+
+LIBBACFIND_LT_CURRENT=`sed -n -e 's/^.*LIBBACFIND_LT_CURRENT *\(.*\)$/\1/p' ${srcdir}/src/version.h`
+LIBBACFIND_LT_REVISION=`sed -n -e 's/^.*LIBBACFIND_LT_REVISION *\(.*\)$/\1/p' ${srcdir}/src/version.h`
+LIBBACFIND_LT_AGE=`sed -n -e 's/^.*LIBBACFIND_LT_AGE *\(.*\)$/\1/p' ${srcdir}/src/version.h`
+
 echo "configuring for ${BACULA} $VERSION ($DATE)"
 
 
+
 ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -5056,47 +5091,6 @@ echo "${ECHO_T}no" >&6; }
 fi
 
 
-# Extract the first word of "qmake-qt4", so it can be a program name with args.
-set dummy qmake-qt4; ac_word=$2
-{ echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
-if test "${ac_cv_path_QMAKEQT4+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  case $QMAKEQT4 in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_QMAKEQT4="$QMAKEQT4" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_QMAKEQT4="$as_dir/$ac_word$ac_exec_ext"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-IFS=$as_save_IFS
-
-  test -z "$ac_cv_path_QMAKEQT4" && ac_cv_path_QMAKEQT4="none"
-  ;;
-esac
-fi
-QMAKEQT4=$ac_cv_path_QMAKEQT4
-if test -n "$QMAKEQT4"; then
-  { echo "$as_me:$LINENO: result: $QMAKEQT4" >&5
-echo "${ECHO_T}$QMAKEQT4" >&6; }
-else
-  { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-fi
-
-
 # Extract the first word of "gmake", so it can be a program name with args.
 set dummy gmake; ac_word=$2
 { echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -5989,13 +5983,13 @@ if test "${lt_cv_nm_interface+set}" = set; then
 else
   lt_cv_nm_interface="BSD nm"
   echo "int some_variable = 0;" > conftest.$ac_ext
-  (eval echo "\"\$as_me:5992: $ac_compile\"" >&5)
+  (eval echo "\"\$as_me:5986: $ac_compile\"" >&5)
   (eval "$ac_compile" 2>conftest.err)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:5995: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+  (eval echo "\"\$as_me:5989: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
   (eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:5998: output\"" >&5)
+  (eval echo "\"\$as_me:5992: output\"" >&5)
   cat conftest.out >&5
   if $GREP 'External.*some_variable' conftest.out > /dev/null; then
     lt_cv_nm_interface="MS dumpbin"
@@ -7216,7 +7210,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 7219 "configure"' > conftest.$ac_ext
+  echo '#line 7213 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -9431,11 +9425,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9434: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9428: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9438: \$? = $ac_status" >&5
+   echo "$as_me:9432: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -9770,11 +9764,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9773: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9767: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9777: \$? = $ac_status" >&5
+   echo "$as_me:9771: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -9875,11 +9869,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9878: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9872: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:9882: \$? = $ac_status" >&5
+   echo "$as_me:9876: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -9930,11 +9924,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9933: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9927: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:9937: \$? = $ac_status" >&5
+   echo "$as_me:9931: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12686,7 +12680,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 12689 "configure"
+#line 12683 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12782,7 +12776,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 12785 "configure"
+#line 12779 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -14794,11 +14788,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14797: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14791: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14801: \$? = $ac_status" >&5
+   echo "$as_me:14795: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14893,11 +14887,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14896: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14890: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14900: \$? = $ac_status" >&5
+   echo "$as_me:14894: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14945,11 +14939,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14948: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14942: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14952: \$? = $ac_status" >&5
+   echo "$as_me:14946: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -24480,9 +24474,8 @@ _ACEOF
 
 fi
 
-got_conio="no"
-if test x$support_conio = xyes; then
-   if test "${ac_cv_header_termcap_h+set}" = set; then
+TERM_LIB=""
+if test "${ac_cv_header_termcap_h+set}" = set; then
   { echo "$as_me:$LINENO: checking for termcap.h" >&5
 echo $ECHO_N "checking for termcap.h... $ECHO_C" >&6; }
 if test "${ac_cv_header_termcap_h+set}" = set; then
 { echo "$as_me:$LINENO: result: $ac_cv_lib_termcap_tgetent" >&5
 echo "${ECHO_T}$ac_cv_lib_termcap_tgetent" >&6; }
 if test $ac_cv_lib_termcap_tgetent = yes; then
-   CONS_LIBS="-ltermcap"
-    CONS_OBJ="conio.o"
-    CONS_SRC="conio.c"
-    got_conio="yes"
-    support_readline=no
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_CONIO 1
-_ACEOF
-
-
+   TERM_LIB="-ltermcap"
 else
    { echo "$as_me:$LINENO: checking for tgetent in -lncurses" >&5
 echo $ECHO_N "checking for tgetent in -lncurses... $ECHO_C" >&6; }
 { echo "$as_me:$LINENO: result: $ac_cv_lib_ncurses_tgetent" >&5
 echo "${ECHO_T}$ac_cv_lib_ncurses_tgetent" >&6; }
 if test $ac_cv_lib_ncurses_tgetent = yes; then
-   CONS_LIBS="-lncurses"
-      CONS_OBJ="conio.o"
-      CONS_SRC="conio.c"
-      got_conio="yes"
-      support_readline=no
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_CONIO 1
-_ACEOF
-
-
+   TERM_LIB="-lncurses"
 fi
 
 
@@ -24763,7 +24736,6 @@ fi
 
 else
 
-
 for ac_header in curses.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 
 done
 
-    { echo "$as_me:$LINENO: checking for term.h" >&5
+     if test "${ac_cv_header_term_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for term.h" >&5
 echo $ECHO_N "checking for term.h... $ECHO_C" >&6; }
 if test "${ac_cv_header_term_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_term_h" >&5
+echo "${ECHO_T}$ac_cv_header_term_h" >&6; }
 else
-  cat >conftest.$ac_ext <<_ACEOF
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking term.h usability" >&5
+echo $ECHO_N "checking term.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#if HAVE_CURSES_H
-#include <curses.h>
-#endif
-
-
+$ac_includes_default
 #include <term.h>
 _ACEOF
 rm -f conftest.$ac_objext
@@ -24938,18 +24913,93 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test -z "$ac_c_werror_flag" ||
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
-  ac_cv_header_term_h=yes
+  ac_header_compiler=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_cv_header_term_h=no
+       ac_header_compiler=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking term.h presence" >&5
+echo $ECHO_N "checking term.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <term.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: term.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: term.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: term.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: term.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: term.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: term.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: term.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: term.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: term.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: term.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: term.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: term.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: term.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: term.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: term.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: term.h: in the future, the compiler will take precedence" >&2;}
+
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for term.h" >&5
+echo $ECHO_N "checking for term.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_term_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_term_h=$ac_header_preproc
 fi
 { echo "$as_me:$LINENO: result: $ac_cv_header_term_h" >&5
 echo "${ECHO_T}$ac_cv_header_term_h" >&6; }
+
+fi
 if test $ac_cv_header_term_h = yes; then
    { echo "$as_me:$LINENO: checking for tgetent in -lcurses" >&5
 echo $ECHO_N "checking for tgetent in -lcurses... $ECHO_C" >&6; }
 { echo "$as_me:$LINENO: result: $ac_cv_lib_curses_tgetent" >&5
 echo "${ECHO_T}$ac_cv_lib_curses_tgetent" >&6; }
 if test $ac_cv_lib_curses_tgetent = yes; then
-   CONS_LIBS="-lcurses"
-        CONS_OBJ="conio.o"
-        CONS_SRC="conio.c"
-        got_conio="yes"
-        support_readline=no
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_CONIO 1
-_ACEOF
+   TERM_LIB="-lcurses"
+fi
 
 
 fi
 
 
-else
-   echo " "; echo "Required libraries not found. CONIO turned off ..."; echo " "
+
 fi
 
 
 
-fi
 
+got_conio="no"
+if test x$support_conio = xyes; then
+   if test x$TERM_LIB != x; then
+      CONS_LIBS=$TERM_LIB
+      CONS_OBJ="conio.o"
+      CONS_SRC="conio.c"
+      got_conio="yes"
+      support_readline=no
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_CONIO 1
+_ACEOF
 
+   else
+      echo " "; echo "Required libraries not found. CONIO turned off ..."; echo " "],
+   fi
 fi
 
 
@@ -25049,6 +25105,9 @@ if test "${enable_readline+set}" = set; then
 
 fi
 
+if test x$TERM_LIB = x ; then
+   support_readline=no
+fi
 
 got_readline="no"
 READLINE_SRC=
@@ -25208,7 +25267,7 @@ cat >>confdefs.h <<\_ACEOF
 #define HAVE_READLINE 1
 _ACEOF
 
-                   CONS_LIBS="-lreadline -lhistory -ltermcap"
+                   CONS_LIBS="-lreadline -lhistory $TERM_LIB"
                    got_readline="yes"
 
 else
@@ -25360,7 +25419,7 @@ _ACEOF
 
                got_readline="yes"
                CONS_INC="-I/usr/include/readline"
-               CONS_LIBS="-lreadline -ltermcap"
+               CONS_LIBS="-lreadline $TERM_LIB"
 
 else
 
@@ -25501,7 +25560,7 @@ _ACEOF
 
                        got_readline="yes"
                        CONS_INC="-I${TOP_DIR}/depkgs/readline"
-                       CONS_LIBS="-lreadline -lhistory -ltermcap"
+                       CONS_LIBS="-lreadline -lhistory $TERM_LIB"
                        CONS_LDFLAGS="-L${TOP_DIR}/depkgs/readline"
                        PRTREADLINE_SRC="${TOP_DIR}/depkgs/readline"
 
 if test "$support_crypto" = "no"; then
    OPENSSL_LIBS=""
    OPENSSL_INC=""
+else
+   { echo "$as_me:$LINENO: checking for EVP_PKEY_encrypt_old in -lssl" >&5
+echo $ECHO_N "checking for EVP_PKEY_encrypt_old in -lssl... $ECHO_C" >&6; }
+if test "${ac_cv_lib_ssl_EVP_PKEY_encrypt_old+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lssl  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char EVP_PKEY_encrypt_old ();
+int
+main ()
+{
+return EVP_PKEY_encrypt_old ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_ssl_EVP_PKEY_encrypt_old=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_lib_ssl_EVP_PKEY_encrypt_old=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_ssl_EVP_PKEY_encrypt_old" >&5
+echo "${ECHO_T}$ac_cv_lib_ssl_EVP_PKEY_encrypt_old" >&6; }
+if test $ac_cv_lib_ssl_EVP_PKEY_encrypt_old = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_OPENSSLv1 1
+_ACEOF
+
+fi
+
 fi
 
 { echo "$as_me:$LINENO: result: $support_tls" >&5
    if test $DB_PROG = sqlite3; then
       A=`test -f $SQL_LIB && nm $DB_PROG_LIB | grep pthread_mutex_lock`
       pkg=$?
+      { echo "$as_me:$LINENO: checking for sqlite3_threadsafe in -lsqlite3" >&5
+echo $ECHO_N "checking for sqlite3_threadsafe in -lsqlite3... $ECHO_C" >&6; }
+if test "${ac_cv_lib_sqlite3_sqlite3_threadsafe+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lsqlite3  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char sqlite3_threadsafe ();
+int
+main ()
+{
+return sqlite3_threadsafe ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_sqlite3_sqlite3_threadsafe=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_lib_sqlite3_sqlite3_threadsafe=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_sqlite3_sqlite3_threadsafe" >&5
+echo "${ECHO_T}$ac_cv_lib_sqlite3_sqlite3_threadsafe" >&6; }
+if test $ac_cv_lib_sqlite3_sqlite3_threadsafe = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_SQLITE3_THREADSAFE 1
+_ACEOF
+
+fi
+
    fi
 
    if test $pkg = 0; then
@@ -43994,7 +44192,6 @@ mandrake)
        platforms/mandrake/bacula-fd \
        platforms/mandrake/bacula-sd \
        platforms/mandrake/bacula-dir \
-       platforms/mandrake/bacula.spec \
        "
   ;;
 gentoo)
@@ -44046,8 +44243,7 @@ suse)
        platforms/suse/bacula-fd \
        platforms/suse/bacula-sd \
        platforms/suse/bacula-dir \
-       platforms/suse/bacula \
-       platforms/suse/bacula.spec"
+       platforms/suse/bacula"
   ;;
 suse5)
    DISTNAME=suse
@@ -45261,6 +45457,21 @@ DATE!$DATE$ac_delim
 LSMDATE!$LSMDATE$ac_delim
 BACULA!$BACULA$ac_delim
 post_host!$post_host$ac_delim
+LIBBAC_LT_CURRENT!$LIBBAC_LT_CURRENT$ac_delim
+LIBBAC_LT_REVISION!$LIBBAC_LT_REVISION$ac_delim
+LIBBAC_LT_AGE!$LIBBAC_LT_AGE$ac_delim
+LIBBACCFG_LT_CURRENT!$LIBBACCFG_LT_CURRENT$ac_delim
+LIBBACCFG_LT_REVISION!$LIBBACCFG_LT_REVISION$ac_delim
+LIBBACCFG_LT_AGE!$LIBBACCFG_LT_AGE$ac_delim
+LIBBACPY_LT_CURRENT!$LIBBACPY_LT_CURRENT$ac_delim
+LIBBACPY_LT_REVISION!$LIBBACPY_LT_REVISION$ac_delim
+LIBBACPY_LT_AGE!$LIBBACPY_LT_AGE$ac_delim
+LIBBACSQL_LT_CURRENT!$LIBBACSQL_LT_CURRENT$ac_delim
+LIBBACSQL_LT_REVISION!$LIBBACSQL_LT_REVISION$ac_delim
+LIBBACSQL_LT_AGE!$LIBBACSQL_LT_AGE$ac_delim
+LIBBACFIND_LT_CURRENT!$LIBBACFIND_LT_CURRENT$ac_delim
+LIBBACFIND_LT_REVISION!$LIBBACFIND_LT_REVISION$ac_delim
+LIBBACFIND_LT_AGE!$LIBBACFIND_LT_AGE$ac_delim
 CC!$CC$ac_delim
 CFLAGS!$CFLAGS$ac_delim
 LDFLAGS!$LDFLAGS$ac_delim
@@ -45291,21 +45502,6 @@ DD!$DD$ac_delim
 MKISOFS!$MKISOFS$ac_delim
 PYTHON!$PYTHON$ac_delim
 GROWISOFS!$GROWISOFS$ac_delim
-DVDRWMEDIAINFO!$DVDRWMEDIAINFO$ac_delim
-DVDRWFORMAT!$DVDRWFORMAT$ac_delim
-PKGCONFIG!$PKGCONFIG$ac_delim
-QMAKE!$QMAKE$ac_delim
-QMAKEQT4!$QMAKEQT4$ac_delim
-GMAKE!$GMAKE$ac_delim
-WXCONFIG!$WXCONFIG$ac_delim
-WXFLAGS!$WXFLAGS$ac_delim
-CDRECORD!$CDRECORD$ac_delim
-PIDOF!$PIDOF$ac_delim
-AWK!$AWK$ac_delim
-ARFLAGS!$ARFLAGS$ac_delim
-MAKE_SHELL!$MAKE_SHELL$ac_delim
-LOCAL_LIBS!$LOCAL_LIBS$ac_delim
-LOCAL_CFLAGS!$LOCAL_CFLAGS$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 94; then
@@ -45351,6 +45547,20 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+DVDRWMEDIAINFO!$DVDRWMEDIAINFO$ac_delim
+DVDRWFORMAT!$DVDRWFORMAT$ac_delim
+PKGCONFIG!$PKGCONFIG$ac_delim
+QMAKE!$QMAKE$ac_delim
+GMAKE!$GMAKE$ac_delim
+WXCONFIG!$WXCONFIG$ac_delim
+WXFLAGS!$WXFLAGS$ac_delim
+CDRECORD!$CDRECORD$ac_delim
+PIDOF!$PIDOF$ac_delim
+AWK!$AWK$ac_delim
+ARFLAGS!$ARFLAGS$ac_delim
+MAKE_SHELL!$MAKE_SHELL$ac_delim
+LOCAL_LIBS!$LOCAL_LIBS$ac_delim
+LOCAL_CFLAGS!$LOCAL_CFLAGS$ac_delim
 LOCAL_LDFLAGS!$LOCAL_LDFLAGS$ac_delim
 LOCAL_DEFS!$LOCAL_DEFS$ac_delim
 LIBTOOL!$LIBTOOL$ac_delim
@@ -45434,20 +45644,6 @@ HAVE_ASPRINTF!$HAVE_ASPRINTF$ac_delim
 HAVE_SNPRINTF!$HAVE_SNPRINTF$ac_delim
 HAVE_WPRINTF!$HAVE_WPRINTF$ac_delim
 INTLBISON!$INTLBISON$ac_delim
-BUILD_INCLUDED_LIBINTL!$BUILD_INCLUDED_LIBINTL$ac_delim
-USE_INCLUDED_LIBINTL!$USE_INCLUDED_LIBINTL$ac_delim
-CATOBJEXT!$CATOBJEXT$ac_delim
-DATADIRNAME!$DATADIRNAME$ac_delim
-INSTOBJEXT!$INSTOBJEXT$ac_delim
-GENCAT!$GENCAT$ac_delim
-INTLOBJS!$INTLOBJS$ac_delim
-INTL_LIBTOOL_SUFFIX_PREFIX!$INTL_LIBTOOL_SUFFIX_PREFIX$ac_delim
-BAT_DIR!$BAT_DIR$ac_delim
-QWT_INC!$QWT_INC$ac_delim
-QWT_LDFLAGS!$QWT_LDFLAGS$ac_delim
-QWT_LIB!$QWT_LIB$ac_delim
-QWT!$QWT$ac_delim
-WXCONS_CPPFLAGS!$WXCONS_CPPFLAGS$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -45489,6 +45685,20 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+BUILD_INCLUDED_LIBINTL!$BUILD_INCLUDED_LIBINTL$ac_delim
+USE_INCLUDED_LIBINTL!$USE_INCLUDED_LIBINTL$ac_delim
+CATOBJEXT!$CATOBJEXT$ac_delim
+DATADIRNAME!$DATADIRNAME$ac_delim
+INSTOBJEXT!$INSTOBJEXT$ac_delim
+GENCAT!$GENCAT$ac_delim
+INTLOBJS!$INTLOBJS$ac_delim
+INTL_LIBTOOL_SUFFIX_PREFIX!$INTL_LIBTOOL_SUFFIX_PREFIX$ac_delim
+BAT_DIR!$BAT_DIR$ac_delim
+QWT_INC!$QWT_INC$ac_delim
+QWT_LDFLAGS!$QWT_LDFLAGS$ac_delim
+QWT_LIB!$QWT_LIB$ac_delim
+QWT!$QWT$ac_delim
+WXCONS_CPPFLAGS!$WXCONS_CPPFLAGS$ac_delim
 WXCONS_LDFLAGS!$WXCONS_LDFLAGS$ac_delim
 WX_DIR!$WX_DIR$ac_delim
 TRAY_MONITOR_CPPFLAGS!$TRAY_MONITOR_CPPFLAGS$ac_delim
@@ -45572,6 +45782,47 @@ DINCLUDE!$DINCLUDE$ac_delim
 DLIB!$DLIB$ac_delim
 DB_LIBS!$DB_LIBS$ac_delim
 WCFLAGS!$WCFLAGS$ac_delim
+_ACEOF
+
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
+    break
+  elif $ac_last_try; then
+    { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
+echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
+   { (exit 1); exit 1; }; }
+  else
+    ac_delim="$ac_delim!$ac_delim _$ac_delim!! "
+  fi
+done
+
+ac_eof=`sed -n '/^CEOF[0-9]*$/s/CEOF/0/p' conf$$subs.sed`
+if test -n "$ac_eof"; then
+  ac_eof=`echo "$ac_eof" | sort -nru | sed 1q`
+  ac_eof=`expr $ac_eof + 1`
+fi
+
+cat >>$CONFIG_STATUS <<_ACEOF
+cat >"\$tmp/subs-3.sed" <<\CEOF$ac_eof
+/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
+_ACEOF
+sed '
+s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g
+s/^/s,@/; s/!/@,|#_!!_#|/
+:n
+t n
+s/'"$ac_delim"'$/,g/; t
+s/$/\\/; p
+N; s/^.*\n//; s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g; b n
+' >>$CONFIG_STATUS <conf$$subs.sed
+rm -f conf$$subs.sed
+cat >>$CONFIG_STATUS <<_ACEOF
+CEOF$ac_eof
+_ACEOF
+
+
+ac_delim='%!_!# '
+for ac_last_try in false false false false false :; do
+  cat >conf$$subs.sed <<_ACEOF
 WLDFLAGS!$WLDFLAGS$ac_delim
 WRAPLIBS!$WRAPLIBS$ac_delim
 OBJLIST!$OBJLIST$ac_delim
@@ -45584,7 +45835,7 @@ DISTVER!$DISTVER$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 93; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 10; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
@@ -45602,7 +45853,7 @@ if test -n "$ac_eof"; then
 fi
 
 cat >>$CONFIG_STATUS <<_ACEOF
-cat >"\$tmp/subs-3.sed" <<\CEOF$ac_eof
+cat >"\$tmp/subs-4.sed" <<\CEOF$ac_eof
 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
 _ACEOF
 sed '
@@ -45865,7 +46116,7 @@ s&@abs_builddir@&$ac_abs_builddir&;t t
 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
 s&@INSTALL@&$ac_INSTALL&;t t
 $ac_datarootdir_hack
-" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" | sed -f "$tmp/subs-3.sed" >$tmp/out
+" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" | sed -f "$tmp/subs-3.sed" | sed -f "$tmp/subs-4.sed" >$tmp/out
 
 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
   { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
 
 
 if test "${support_bat}" = "yes" ; then
-   if test "x$QMAKE" = "xnone" && test "x$QMAKEQT4" = "xnone"; then
-      { { echo "$as_me:$LINENO: error: Could not find qmake or qmake-qt4 in $PATH. Check your Qt installation" >&5
-echo "$as_me: error: Could not find qmake or qmake-qt4 in $PATH. Check your Qt installation" >&2;}
+   if test "x$QMAKE" = "xnone"; then
+      { { echo "$as_me:$LINENO: error: Could not find qmake $PATH. Check your Qt installation" >&5
+echo "$as_me: error: Could not find qmake $PATH. Check your Qt installation" >&2;}
    { (exit 1); exit 1; }; }
    fi
 
    QMAKEBIN="qmake"
-
-   if test "x$QMAKEQT4" != "xnone"; then
-       QMAKEBIN=qmake-qt4
-   fi
-
    cd src/qt-console
    echo "Creating bat Makefile"
    touch bat
    chmod 755 bat
+   rm -f Makefile
    $QMAKEBIN
    ${MAKE:-make} clean
    cd ${BUILD_DIR}